/* Script to generate unique version numbers for Welmat */


if open('version',"version.data","R") then DO
  Line=readln('version')
  parse var Line Major Minor
  close('version')
  Major=strip(Major)
  Minor=strip(Minor)
  parse upper arg which
  if which='MAJOR' then do
     Major=Major+1
     Minor=0
  end
  if which='MINOR' then do
     Minor=Minor+1
  end

  say "Version "Major"."Minor

  if open('version',"version.data","W") then DO
    writeln('version',Major" "Minor)
    close('version')

    if open('version',"xprlibver.i","W") then DO
      writeln('version',"; Keep track of version numbers.")
      writeln('version','VERSION EQU '||Major)
      writeln('version','REVISION EQU '||Minor)
      close('version')
    end
  end
end
